aboutsummaryrefslogtreecommitdiff
path: root/etc
diff options
context:
space:
mode:
authorMatthias Schwarzott <zzam@gentoo.org>2007-04-16 07:49:53 +0000
committerMatthias Schwarzott <zzam@gentoo.org>2007-04-16 07:49:53 +0000
commitf9cbe18dbdfa79009099b6b30ec6d28dc6bc0de2 (patch)
tree0ad6f5fe48dffe3a64f4fc6720411852cddd48a7 /etc
parentRemoved bash specific code. (diff)
downloadgentoo-vdr-scripts-f9cbe18dbdfa79009099b6b30ec6d28dc6bc0de2.tar.gz
gentoo-vdr-scripts-f9cbe18dbdfa79009099b6b30ec6d28dc6bc0de2.tar.bz2
gentoo-vdr-scripts-f9cbe18dbdfa79009099b6b30ec6d28dc6bc0de2.zip
Removed more bash specific code.
svn path=/gentoo-vdr-scripts/trunk/; revision=427
Diffstat (limited to 'etc')
-rwxr-xr-xetc/init.d/vdr12
-rwxr-xr-xetc/init.d/wakeup-reboot-halt4
2 files changed, 8 insertions, 8 deletions
diff --git a/etc/init.d/vdr b/etc/init.d/vdr
index b8ca248..bdf5270 100755
--- a/etc/init.d/vdr
+++ b/etc/init.d/vdr
@@ -4,7 +4,7 @@
opts="${opts} watchdogrestart"
-source /usr/share/vdr/inc/functions.sh
+. /usr/share/vdr/inc/functions.sh
include rc-functions
depend() {
@@ -23,7 +23,7 @@ start() {
init_params
init_daemonctrl_params
- [[ -z "${VDR_BIN}" ]] && VDR_BIN=/usr/bin/vdr
+ [ -z "${VDR_BIN}" ] && VDR_BIN=/usr/bin/vdr
add_daemonctrl_param --start --chdir ~vdr --exec ${VDR_BIN}
@@ -47,7 +47,7 @@ start() {
einfo_level2 " CMDLINE:" start-stop-daemon $(quote_parameters "${daemonctrl_opts[@]}" "--" "${vdr_opts[@]}")
- if [[ -z "${TERMINAL}" ]]; then
+ if [ -z "${TERMINAL}" ]; then
start-stop-daemon "${daemonctrl_opts[@]}" \
-- --daemon "${vdr_opts[@]}"
exitcode=$?
@@ -61,7 +61,7 @@ start() {
# strange commandline, to be fixed in next versions
openvt_opts=""
- if [[ "${SWITCH_TO_TERMINAL}" == "yes" ]]; then
+ if [ "${SWITCH_TO_TERMINAL}" = "yes" ]; then
openvt_opts="${openvt_opts} -s"
fi
openvt -c ${TERMINAL} ${openvt_opts} -- \
@@ -71,9 +71,9 @@ start() {
fi
eend $exitcode "Failed to start vdr."
- if [[ "${exitcode}" == "0" ]]; then
+ if [ "${exitcode}" = "0" ]; then
load_addons_prefixed post-start
- if [[ "$?" != "0" ]]; then
+ if [ "$?" != "0" ]; then
exitcode=1
fi
fi
diff --git a/etc/init.d/wakeup-reboot-halt b/etc/init.d/wakeup-reboot-halt
index 99334f2..1233abf 100755
--- a/etc/init.d/wakeup-reboot-halt
+++ b/etc/init.d/wakeup-reboot-halt
@@ -11,10 +11,10 @@ start() {
# check weather this time this is a reboot and I should shutdown
local STATEFILE=/var/vdr/shutdown-data/special_script_should_shutdown
- if [[ -e ${STATEFILE} ]]; then
+ if [ -e "${STATEFILE}" ]; then
einfo "This is a reboot to write the wakeup-time into the bios."
einfo "Shutting down now."
- rm -f ${STATEFILE}
+ rm -f "${STATEFILE}"
init 0
fi
}